<mat-card class="center">
    <mat-card-header>
        <mat-icon mat-card-avatar>description</mat-icon>
        <mat-card-title>
            Aggiungi nuova categoria
        </mat-card-title>
    </mat-card-header>
    <mat-card-content>

        <form [formGroup]="AggiungiForm" (ngSubmit)="onSubmit()">
            <p>
                <mat-form-field appearance="outline">
                    <mat-label>ID</mat-label>
                    <input matInput type="text" autocomplete="nome_categoria" formControlName="id_categoria">
                    <mat-error>Inserire un id per la categoria!</mat-error>
                </mat-form-field>
            </p>
            <p>
                <mat-form-field appearance="outline">
                    <mat-label>Nome categoria</mat-label>
                    <input matInput autocomplete="nome categoria" formControlName="nome_categoria">
                    <mat-error>Inserire nome per la categoria!</mat-error>
                </mat-form-field>
            </p>
            <p>
                <mat-form-field hintLabel="Max 256 caratteri" appearance="outline">
                    <mat-label>Descrizione</mat-label>
                    <textarea matInput #input maxlength="256" matInput type="text"  autocomplete="descrizione" formControlName="descrizione"></textarea>
                    <mat-hint align="end">{{input.value?.length || 0}}/256</mat-hint>
                    <mat-error>Inserire una descrizione!</mat-error>
                </mat-form-field>
            </p>

            <button style='margin-right:16px'
                mat-raised-button color="primary" 
                type="submit"
                [disabled]="!AggiungiForm.valid"
                >Inserisci
            </button>

            <button style='margin-right:16px'
                mat-raised-button color="warn" 
                (click)="btAnnulla()"
                
                >Annulla
            </button>


            
        </form>

    </mat-card-content>

</mat-card>
